cpasswd(1)

NAME
cpasswd - change Coda login password

SYNOPSIS
cpasswd [-h host] [username]

DESCRIPTION
This command sets the password associated with the current user, or user username if explicitly named. Only the user or a System Administrator may change a password. cpasswd prompts for the users old password (or the password of the administrator performing the change) and then for the new one. The new password must be typed twice, to forestall mistakes. Change requests can be aborted by typing a carriage return when prompted for the new password. New passwords must be at least four characters long if they use a sufficiently rich alphabet and at least six characters long if monocase. These rules are relaxed if you are insistent enough. cpasswd wont be able to change the users password if the password server is down. An appropriate error message will be printed, advising the caller to try again later. Once the password server acknowledges receipt the users new password, it takes about an hour for the information to propagate to the entire set of AuthServers. cpasswd support the following option:

-h host
    Tells cpasswd which authentication host to bind to. This should be the SCM.

FILES
/vice/db/user.coda

BUGS
The password file information should be kept in a different data structure allowing indexed access; dbm (3X) would probably be suitable.

SEE ALSO
clog (1), crypt (3)

AUTHOR
1987, Adapted from AFS-2 Maria R. Ebling, 1990, Created man page